## Contributing ##

While not required to contribute, we recommend [RVM](https://rvm.io/) to manage your rubies.

1. Read the [Contributor Code of Conduct](https://github.com/aasm/aasm/blob/master/CODE_OF_CONDUCT.md)
2. [Fork it](https://help.github.com/articles/about-forks/)
3. Clone the project `git clone git@github.com:[YOUR GITHUB USERNAME]/aasm.git`
4. `cd aasm`
5. Create your feature branch `git checkout -b my-new-feature`
6. Write tests for your changes (feature/bug)
7. Write your (feature/bugfix)
8. Install the dependencies `appraisal install`
9. Run the tests `appraisal rspec`
10. Commit your changes `git commit -am 'Added some feature'`
11. Push to the branch `git push origin my-new-feature`
12. Create new [Pull Request](https://help.github.com/articles/creating-a-pull-request/)

There are some option dependencies as well.

- [MongoDB server](https://www.mongodb.com/download-center)
- [Redis](https://redis.io/topics/quickstart)
- [DynamoDB (local)](https://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DynamoDBLocal.html)

If we've missed something please open an [issue](https://github.com/aasm/aasm/issues/new)
